Page MenuHomePhabricator

Get rid of "import realm.pp" in manifests/site.pp
Closed, ResolvedPublic

Description

Our operations/puppet.git manifests/site.pp still has a puppet import statement which is deprecated. Hence puppet parser validate complains with:

Warning: The use of 'import' is deprecated at operations/puppet/manifests/site.pp:9
See:

manifests/site.pp
# site.pp

import 'realm.pp' # These ones first

After all the roles have been moved to modules/role, that is the last import statement to get rid of.

Event Timeline

hashar created this task.Jan 9 2017, 6:11 PM
hashar moved this task from Backlog to Repo setup on the Continuous-Integration-Config board.

Change 331239 had a related patch set uploaded (by Hashar):
puppet parse validate from rake

https://gerrit.wikimedia.org/r/331239

Change 333012 had a related patch set uploaded (by Hashar):
test: puppet-syntax now fails on deprecation notices

https://gerrit.wikimedia.org/r/333012

hashar updated the task description. (Show Details)
hashar updated the task description. (Show Details)

Change 331239 merged by Jcrespo:
puppet parse validate from rake

https://gerrit.wikimedia.org/r/331239

Ottomata triaged this task as Normal priority.Mar 6 2017, 7:19 PM
hashar updated the task description. (Show Details)Jun 16 2017, 9:14 AM
hashar updated the task description. (Show Details)Jun 16 2017, 9:17 AM

I have poked the ops mailing list about it.

Change 322898 had a related patch set uploaded (by Hashar; owner: Alexandros Kosiaris):
[operations/puppet@production] Test the future parser in puppet compiler

https://gerrit.wikimedia.org/r/322898

hashar claimed this task.Dec 18 2017, 3:46 PM
hashar added a comment.Jan 8 2018, 9:28 AM

Pending https://gerrit.wikimedia.org/r/#/c/333012/ to have puppet-syntax to fail on deprecation notices

Change 322898 abandoned by Alexandros Kosiaris:
Test the future parser in puppet compiler

Reason:
No longer required

https://gerrit.wikimedia.org/r/322898

hashar removed hashar as the assignee of this task.Jan 31 2018, 8:13 PM
hashar changed the task status from Open to Stalled.

Pending https://gerrit.wikimedia.org/r/#/c/333012/ to have puppet-syntax to fail on deprecation notices

herron added a subscriber: herron.May 2 2018, 5:24 PM

Change 333012 abandoned by Hashar:
test: puppet-syntax now fails on deprecation notices

Reason:
Obsolete.

https://gerrit.wikimedia.org/r/333012

@hashar, this is marked as "Done" in RelEng Kanban. Any update?

Change 333012 restored by Hashar:
test: puppet-syntax now fails on deprecation notices

https://gerrit.wikimedia.org/r/333012

hashar changed the task status from Stalled to Open.Oct 29 2018, 12:48 PM

The reason for this task is to have PuppetSyntax to whine on a deprecated features. The last one was an import 'realm.pp' which has been removed in November 2017 by 34dd79742cef0c168cb8aaf61f143cb052b1c1f2

I have restored my patch https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/333012/

We also need to cleanup any references to realm.pp, notably the file is still in the repository.

Change 333012 merged by Alexandros Kosiaris:
[operations/puppet@production] test: puppet-syntax now fails on deprecation notices

https://gerrit.wikimedia.org/r/333012

hashar closed this task as Resolved.Jan 11 2019, 7:29 AM
hashar claimed this task.